import { post } from '#/api/http'

import { BasicService } from '../basic'

class DeviceControlService extends BasicService {
  async updateLock(sn: any) {
    await post(`/deviceTimeControl/update/lock/${sn}`)
  }

  protected findPageUrl(): string {
    return '/userSim/list'
  }

  protected removeUrl(): string {
    throw new Error('Method not implemented.')
  }

  protected saveOrUpdateUrl(): string {
    throw new Error('Method not implemented.')
  }
}

export const deviceControlService = new DeviceControlService()
